## org.eclipse.datatools.sqltools.result.internal.ui.view
Class ResultSectionFactory

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.view.ResultSectionFactory

    public class ResultSectionFactory

extends java.lang.Object

Factory to create the result section instance

Author:
  Dafan Yang

Constructor Summary
`ResultSectionFactory()`

Method Summary
`static ResultSection` `createResultSection(org.eclipse.swt.widgets.Composite comp, ResultsViewControl resultsViewControl)` Returns a result set section according current setting

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSectionFactory

    public ResultSectionFactory()

Method Detail

### createResultSection

    public static ResultSection createResultSection(org.eclipse.swt.widgets.Composite comp,
                                                    ResultsViewControl resultsViewControl)

  Returns a result set section according current setting

  Parameters:
    `comp` - the parent composite
  Returns:
    an instance of `ResultSection`